function [ deltai ] = vypDeli( MBI, MA, parM, len)
deltai=zeros(1,len);
minim=min([parM length(MA)-1]);

for n=1:len
    tempAj=0;
    for i=1:minim+1
        tempAj=tempAj+MA(i);        
    end
    deltai(n)=(n/len)*((tempAj/(minim+1))-MBI(end));
    
end



end

